
Core - Task # 51762

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54267 (Resolved): As an Editor I want to use a FAL withouth bugs

Status: Resolved Priority: Should have
Author: Simon Schick Category: File Abstraction Layer (FAL)
Created: 2013-09-05 Assigned To: Steffen Ritter
Updated: 2014-02-03 Due date:
TYPO3 Version: 6.1
PHP Version: 5.3
Complexity: no-brainer
Sprint Focus:
Subject: Exception instead of nice warning when opening filelist as restricted be-user after updating 6.1.3 -> 6.1.4
Description

After updating from 6.1.3 to 6.1.4, I get an exception like in the attached screenshot, when opening the filelist as restricted
backend-user.

Before, I just got a nice, blue, warning - see attached screenshot.

Related issues:
related to Core - Bug # 51319: Broken error handling for not existing folder Resolved 2013-08-24

Associated revisions
Revision 6fe13fdb - 2014-01-31 14:57 - Ingo Schmitt

[BUGFIX] Do not show exeption when folder is not accesible

When a storage folder is not accessible for the user a exception
is displayed. Same if the folder is missing.

This patch changes the exception to
\TYPO3\CMS\Core\Resource\Exception.

The user will get a flash message and FAL tries to display the
parent folder of the restricted folder. If the folder is
missing the parent folder is displayed.

Resolves: #51762, #51319
Releases: 6.2
Change-Id: I1fb930f8c13049eeddb27521326f1d0fc8707933
Reviewed-on: https://review.typo3.org/27189
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2013-09-05 18:01 - Ernesto Baschny
- Category set to File Abstraction Layer (FAL)
- Status changed from New to Accepted
- Target version changed from 2463 to 6.2.0
#2 - 2013-09-05 18:53 - Simon Schick

Just to have this note added: The mount-point shown here has the flag "is browsable" set to FALSE.

#3 - 2013-11-30 18:25 - Steffen Ritter
- Assigned To set to Steffen Ritter
- Complexity set to no-brainer
- Is Regression set to No

#4 - 2013-12-07 15:59 - Steffen Ritter
- Parent task set to #54267

#5 - 2014-01-27 10:36 - Bjoern Jacob

I'm experiencing the same problem right now in 6.2.0beta4. The restricted be-user wants to access the file mount (which is fileadmin/user_upload).
When the user loads the file list module the above mentioned exception is displayed. I've also inserted the UserTS proposed here: 
http://typo3.org/teams/security/security-bulletins/typo3-core/typo3-core-sa-2013-003/. An admin user does not get the exception. The file mount is
browseable.

Edit: For testing I've created a subfolder in fileadmin/user_upload/ and set this as root for the file mount. But it does not solve the problem. The
exception is still thrown.

#6 - 2014-01-30 19:59 - Steffen Ritter
- Status changed from Accepted to Needs Feedback

please check if that still is happening in the current master as of today;

sadly that won't be backported as it introduced a new class.

#7 - 2014-01-31 13:11 - Ingo Schmitt
- File Bildschirmfoto_2014-01-31_um_13.08.48.png added

Error display is now as attached screenshot. Only happens when the filesystems rights are changed when the user is browsing the folder in the list or
the user modifies the GET parameter for the path.
If the folder is not accessible the link to the detailed view is not existing.
So, the new screen is fine for me, since a "normal" user won't see it.

#8 - 2014-01-31 14:00 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27189

#9 - 2014-01-31 14:03 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27189

#10 - 2014-01-31 14:24 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27189

#11 - 2014-01-31 14:25 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27189

#12 - 2014-01-31 14:26 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27189

#13 - 2014-01-31 15:30 - Ingo Schmitt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6fe13fdbca9c759d931777fc5a51bc4361c38602.

#14 - 2014-02-03 10:25 - Bjoern Jacob

I've checked out the current master as of today. With this version I don't get any exception. The behavior is as expected, i.e. the user can show the
"root" of the file mount.

Files
6.1.3.png 285.4 kB 2013-09-05 Simon Schick
2015-08-04 3/3

https://review.typo3.org/27189
https://review.typo3.org/27189
https://review.typo3.org/27189
https://review.typo3.org/27189

